Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005274 [JEDI VCL] 00 JVCL Components minor always 2010-07-06 14:05 2012-02-29 16:53
Reporter Yams View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.39
Summary 0005274: TJvTrayIcon Access Violation if length of hint is more than 255 symbols
Description When I try to show long-length hint via TJvTrayIcon component, then I catch an Access violation message. Also, part of string from text goes to caption. Screenshot is attached.
Additional Information A code to reproduce this error:

procedure TfmMain.SomeButtonClick(Sender: TObject);
Var
  S: String;
  I: Integer;
begin
  S:= '123456'0000013#10; // 8 symbols
  for I := 1 to 6 do // 8*(2^6) = 512 symbols
    S:= S+S;
  tiMain.BalloonHint('Caption of hint', S); // here are an error
end;
Tags No tags attached.
Attached Files jpg file icon TJvTrayIcon error.jpg [^] (60,881 bytes) 2010-07-06 14:05
zip file icon TJvTrayIconTest.zip [^] (8,655 bytes) 2010-08-20 11:51

- Relationships

-  Notes
(0017598)
obones (administrator)
2010-08-20 11:45

Please provide the zipped sources of a sample application showing this
(0017608)
Yams (reporter)
2010-08-20 11:52

Package is uploaded, please check it.
(0017819)
obones (administrator)
2010-10-08 16:20

Thanks, this is now fixed in SVN

- Issue History
Date Modified Username Field Change
2010-07-06 14:05 Yams New Issue
2010-07-06 14:05 Yams File Added: TJvTrayIcon error.jpg
2010-08-20 11:45 obones Note Added: 0017598
2010-08-20 11:45 obones Status new => feedback
2010-08-20 11:51 Yams File Added: TJvTrayIconTest.zip
2010-08-20 11:52 Yams Note Added: 0017608
2010-08-20 11:53 Yams Issue Monitored: Yams
2010-08-20 11:53 Yams Issue End Monitor: Yams
2010-10-08 16:20 obones Note Added: 0017819
2010-10-08 16:20 obones Status feedback => resolved
2010-10-08 16:20 obones Fixed in Version => Daily / SVN
2010-10-08 16:20 obones Resolution open => fixed
2010-10-08 16:20 obones Assigned To => obones
2012-02-29 16:53 obones Fixed in Version Daily / SVN => 3.45


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker